using System.Runtime.InteropServices;

namespace Server.Core
{
    public static class ThreadHelper
    {
        [DllImport("kernel32.dll")]
        private static extern uint GetCurrentThreadId();

        public static uint GetOSThreadId()
        {
            #if DEBUG
            return GetCurrentThreadId();
            #else
            return 0;
            #endif  
        }
    }
}